Name:     verapdf
Version:  1.16.1
Release:  1%{?dist}
Summary:  VeraPDF validation tool
License:  GPLv3

BuildRequires: unzip, wget
Requires: java-1.8.0-openjdk

%description
VeraPDF validation tool

%prep
# download veraPDF installer
wget http://downloads.verapdf.org/rel/verapdf-installer.zip
# configure installation path for unattended installation
sed -i 's#INSTALL_PATH#/home/builder/rpmbuild/BUILD/%{name}#g' auto-install.xml
# extract
unzip verapdf-installer.zip
# run the veraPDF installer using autoinstall configuration
java -jar verapdf-greenfield-1.16.1/verapdf-izpack-installer-1.16.1.jar auto-install.xml
# remove logfiles to clean up RPM package
find /home/builder/rpmbuild/BUILD/%{name} -type f -name "*.log" -delete

%build
# no need to build anything, veraPDF comes precompiled

%install
mkdir -p %{buildroot}/operational_shared/software/
cp -r %{name}/ %{buildroot}/operational_shared/software/

%files
# DOC: http://ftp.rpm.org/max-rpm/s1-rpm-inside-files-list-directives.html
/operational_shared/software/verapdf/

%license
